@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: roboto;
}

body {
    color: white;
    background: #262626;
}

nav {
    display: flex;
    flex-direction: row;
    padding: 0 20px;
    border-bottom: solid 2px #626262;
    align-items: center;
    justify-content: space-between;
}

nav h1 {
    display: flex;
    align-items:  center;
    padding: 5px 0;
    font-size: 3rem;

}

nav .logo {
    fill: #4db8ff;
}

.link-list {
    display: flex;
    flex-direction: row;
    list-style-type: none;
}

.link-list-item {
    font-size: 1.25rem;
    display: flex;
    padding: 10px 10px;
    text-decoration-style: none;
    align-items: center;
    transition: 0.3s;
}

.link-list-item a {
    padding: 20px;
    text-decoration: none;
    text-decoration-style: none;
}

.link-list-item:hover {
    opacity: 0.6;
}

.link-list-item a:visited {
    color: #ff6aac;
}

#logo a{
    width: 64px;
    height: 64px;
    background: url(media/alura.svg), #ffffff;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: auto;
    border-radius: 50%;
}

.encrypter {
    margin: 10px;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.encrypter-text-container {
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.encrypter-textarea {
    padding: 10px;
    border-radius: 16px;
    background: #363636;
    border: none;
    resize: none;
    color: white;
}

.encrypter-textarea:focus {
    outline: none;
}

.middle-buttons {
    margin: 0 10px;
    display: flex;
    flex-direction: column;
    transition: 0.3s;
}

#change {
    width: 64px;
    height: 64px;
    background: url(media/arrow-left-right.svg);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: 32px;
    border: none;
    transition: 0.3s;
    opacity: 0.6;
}

#change:hover{
    opacity: 1;
}

#clear {
    border: none;
    border-radius: 28px;
    padding: 5px;
    transition: 0.3s;
}

#output {
    background:#dbdbdb;
    color: #696969;
}

#copy {
    position: absolute;
    bottom: 15px;
    right: 15px;
    border: none;
    padding: 10px 20px;
    border-radius: 28px;
    font-size: 1.10rem;
    background:#2b2b2b;
    color: #4db8ff;
    transition: 0.3s;
}

#copy:hover {
    opacity: 0.8;
}

#copy:active{
    color: white;
    background: #ff6aac;
    opacity: 1;
}

.encrypter-button-container {
    text-align: center;
    margin: 20px;
}

.encrypter-button-container p{
    margin: 10px;
}

.encrypter-button {
    width: 200px;
    padding: 16px;
    font-size: 1.125rem ;
    border-radius: 28px;
    margin: 0 10px;
    transition: 0.3s;
}

.encrypter-button:hover {
    opacity: 0.6;
}

#btnCod{
    color: white;
    background: #4db8ff;
    border: none;
}

#btnCod:active{
    color: white;
    background: #ff6aac;
    opacity: 1;
}
#btnDecod {
    color: white;
    background: none;
    border: solid 1px white;
}

#btnDecod:active{
    color: #ff6aac;
    border-color: #ff6aac;
    opacity: 1;
}

.enable-custom {
    margin-bottom: 10px;
}

.encrypter-custom {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.encrypter-custom-container {
    display: none;
    justify-content: center;
    background-color: #696969;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.encrypter-custom-inputs {
    display: flex;
    width: 100%;
    border-bottom: solid 3px #262626;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.encrypter-custom-inputs label{
    font-size: 24px;
    margin: 0 3px;
}

.encrypter-custom-inputs input{
    font-size: 20px;
    margin: 0 5px;
    width: 80px;

}

#create {
    font-size: 32px;
    padding: 0 8px;
    font-weight: bold;
    border: none;
    background-color: #4db8ff;
    color: white;
    border: solid 2px white;
    border-radius: 4px
}

#create:hover {
    opacity: 0.7;
}

#create:active {
    background: #ff6aac;
}

#encrypter-custom-list {
    display: block;
    flex-direction: column;
    width: inherit;
}

#encrypter-custom-list li {
    font-size: 1.25rem;
    display: flex;
    padding: 10px 10px;
    text-decoration-style: none;
    align-items: center;
    justify-content: space-between;
    transition: 0.3s;
    background-color: #5f5f5f;
    border-bottom: solid 3px #262626;
}

#encrypter-custom-list button {
    font-size: 1.25rem;
    padding: 10px 10px;
    transition: 0.3s;
    border: none;
    background: #dc2626;
    color: white;
    border-radius: 4px;
}

#encrypter-custom-list button:hover{
    opacity: 0.6;
}

#encrypter-custom-list button:active{
    opacity: 0.6;
}

.encrypter-custom-list-container {
    display: flex;
    width: inherit;
}

.show {
    display: flex;
}


.footer {
    position: relative;
    display: flex;
    justify-content: space-around;
    width: 100%;
    padding: 2em;
    background-color: #363636;
    color: rgb(241, 241, 241);
  }

.footer a {
color: #4db8ff;
}

.footer a:visited {
color: #ff6aac;
}

.footer-left {
    padding: 10px;
  }

.footer-left img{
    width: 124px;
  }
  
.social {
    display: flex;
    flex-direction: column;
    padding: 10px;
    align-content: center;
    justify-content: center;
  }

.social-text {
    padding: 10px;
  }

.social-icons {
    display: flex;
    flex-direction: row;
    justify-content: center;
  }

.social-icon {
    width: 32px;
    margin: 0 12px;
    fill: white;
  }

.social-icon:hover svg {
    fill: #4db8ff;
  }

.credits {
    display: flex;
    flex-direction: column;
    border-left: solid white 1px;
    padding: 30px;
    align-content: center;
    justify-content: center;
  }

.credits p {
    padding: 2px 0;
}

.copyright {
    text-align: center;
    width: 100%;
  }

.bg-line {
    margin-bottom: 5px;
    z-index: 4;
    width: 100%;
    height: 3px;
    background: linear-gradient(90deg, #ff6aac 0%, #4db8ff 100%);
  }
